Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 1.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.fop.render.java2d
Class Java2DUtil

    java.lang.Object
      org.apache.fop.render.java2d.Java2DUtil

public class Java2DUtil
extends java.lang.Object

Rendering-related utilities for Java2D.

Constructor Summary
`Java2DUtil()`

Method Summary
`static FontInfo` | `buildDefaultJava2DBasedFontInfo(FontInfo fontInfo, FOUserAgent userAgent)` Builds a default `FontInfo` object for use with output formats using the Java2D font setup.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Java2DUtil

    public Java2DUtil()

Method Detail

### buildDefaultJava2DBasedFontInfo

    public static FontInfo buildDefaultJava2DBasedFontInfo(FontInfo fontInfo,
                                                           FOUserAgent userAgent)

  Builds a default `FontInfo` object for use with output formats using the Java2D font setup.

  Parameters:
    `fontInfo` - the font info object to populate
    `userAgent` - the user agent
  Returns:
    the populated font information object

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 1.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 1999-2010 The Apache Software Foundation. All Rights Reserved.